optoKummenberg

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Attributes | List of all members
optoKummenberg.registers.InputStage.AnalogFeedback Class Reference
Inheritance diagram for optoKummenberg.registers.InputStage.AnalogFeedback:

## Public Member Functions
| __init__ (self, List[Analog] analog_systems)
| get_value (self, channel)
| get_value_id (self, channel)
| init (self)
| is_init_done (self)

## Public Attributes
| analog_systems
| n_sensors
Public Attributes inherited from optoKummenberg.registers.InputStage.FeedbackSystem
| n_sensors

## Protected Attributes
| _readonly

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.InputStage.AnalogFeedback.__init__ | ( |  | self,
|  | List[Analog] | analog_systems )

Reimplemented from optoKummenberg.registers.InputStage.FeedbackSystem.

## Member Function Documentation

## ◆ get_value()

optoKummenberg.registers.InputStage.AnalogFeedback.get_value | ( |  | self,
|  |  | channel )

Reimplemented from optoKummenberg.registers.InputStage.FeedbackSystem.

## ◆ get_value_id()

optoKummenberg.registers.InputStage.AnalogFeedback.get_value_id | ( |  | self,
|  |  | channel )

Reimplemented from optoKummenberg.registers.InputStage.FeedbackSystem.

## ◆ init()

optoKummenberg.registers.InputStage.AnalogFeedback.init | ( |  | self | ) |

Reimplemented from optoKummenberg.registers.InputStage.FeedbackSystem.

## ◆ is_init_done()

optoKummenberg.registers.InputStage.AnalogFeedback.is_init_done | ( |  | self | ) |

Reimplemented from optoKummenberg.registers.InputStage.FeedbackSystem.

## Member Data Documentation

## ◆ _readonly

optoKummenberg.registers.InputStage.AnalogFeedback._readonly
| protected

## ◆ analog_systems

optoKummenberg.registers.InputStage.AnalogFeedback.analog_systems

## ◆ n_sensors

optoKummenberg.registers.InputStage.AnalogFeedback.n_sensors

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/InputStage.py